package com.famoco.px400printerdemo;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    PX400Printer printer;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        printer = new PX400Printer(this);
    }

    @Override
    public void onClick(View v) {
        Util.info("onClick ...");
    }

    public void openPrinter(View view) {
        Util.info("Open Print ...");
        printer.open();
    }

    public void closePrinter(View view) {
        Util.info("Close Print ...");
        printer.close();
    }

    public void printText(View view) {
        Util.info("Print Text ...");
        printer.printHtml(this, "html_sample_1", () -> {
            printer.printQrCode("some data");
            printer.printHtml(this, "html_sample_2", () -> printer.endPrint());
        });
    }

}
